Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Replication Rule

Copy new objects written to this bucket into a bucket in another region.

The destination must be a dataset in this project, in a different region. Versioning must be enabled on both buckets and their encryption settings must match. A bucket can take part in only one rule on each side. Objects already in the bucket are not backfilled.

POST/datasets/{Dataset_Id}/replication/

Path parameters

  • Dataset_IdPathintegeroptional

    dataset id

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
destination_dataset_idintegerrequired

Dataset in this project, in a different region, that this bucket replicates into. Versioning must be enabled on both buckets and their encryption settings must match.

example12345

Responses

No documented responses.